blackbox

## Class Input

- java.lang.Object
- - agents.Agent
  - - blackbox.BlackBoxAgent
    - - blackbox.Input

All Implemented Interfaces:
  java.io.Serializable

    public class Input
    extends BlackBoxAgent
    implements java.io.Serializable

The Class Input.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Input()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `computeAMessage(Message m)` Compute A message.
`void` `fastPlay()` Fast play.
`BBFunction` `getFunc()` Gets the func.
`double` `getNextValue()` Gets the next value.
`double` `getValue()` Gets the value.
`void` `multValue(double factor)` Mult value.
`void` `play()` Play one agent step.
`void` `setFunc(BBFunction func)` Sets the func.
`void` `setNextValue(double nextValue)` Sets the next value.
`void` `setValue(double value)` Sets the value.

### Methods inherited from class blackbox.BlackBoxAgent

`addConstraint, computeCriticity, getConstraints, getCriticity, getTargets, getWorstConstraint, readMessage, setConstraints, setCriticity, setTargets`

### Methods inherited from class agents.Agent

`die, getID, getMessages, getMessagesBin, getName, isDying, sendExpressMessage, sendMessage, sendMessage, setDying, setID, setMessages, setMessagesBin, setName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Input

    public Input()

### Method Detail

#### play

    public void play()

Description copied from class: `Agent`
Play one agent step.

Overrides:
  `play` in class `Agent`

#### fastPlay

    public void fastPlay()

Description copied from class: `BlackBoxAgent`
Fast play.

Specified by:
  `fastPlay` in class `BlackBoxAgent`

#### getFunc

    public BBFunction getFunc()

Gets the func.

Returns:
  the func

#### setFunc

    public void setFunc(BBFunction func)

Sets the func.

Parameters:
  `func` - the new func

#### getValue

    public double getValue()

Description copied from class: `BlackBoxAgent`
Gets the value.

Specified by:
  `getValue` in class `BlackBoxAgent`
Returns:
  the value

#### setValue

    public void setValue(double value)

Sets the value.

Parameters:
  `value` - the new value

#### computeAMessage

    public void computeAMessage(Message m)

Description copied from class: `Agent`
Compute A message.

Specified by:
  `computeAMessage` in class `BlackBoxAgent`
Parameters:
  `m` - the m

#### multValue

    public void multValue(double factor)

Mult value.

Parameters:
  `factor` - the factor

#### getNextValue

    public double getNextValue()

Gets the next value.

Returns:
  the next value

#### setNextValue

    public void setNextValue(double nextValue)

Sets the next value.

Parameters:
  `nextValue` - the new next value